Package com.enonic.xp.util

## Class Version

- java.lang.Object
- - com.enonic.xp.util.Version

- All Implemented Interfaces:
    `Comparable<Version>`

      public class Version
      extends Object
      implements Comparable<Version>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Version` | `emptyVersion` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Version​(int major)` |
    `Version​(int major, int minor)` |
    `Version​(int major, int minor, int micro)` |
    `Version​(int major, int minor, int micro, String qualifier)` |
    `Version​(String version)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Version other)` |
    `boolean` | `equals​(Object object)` |
    `int` | `getMajor()` |
    `int` | `getMicro()` |
    `int` | `getMinor()` |
    `String` | `getQualifier()` |
    `int` | `hashCode()` |
    `boolean` | `lessThan​(Version version)` |
    `static Version` | `parseVersion​(String version)` |
    `String` | `toShortestString()` |
    `String` | `toString()` |
    `static Version` | `valueOf​(String version)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### emptyVersion

          public static final Version emptyVersion

  - ### Constructor Detail

    - #### Version

          public Version​(int major)

    - #### Version

          public Version​(int major,
                         int minor)

    - #### Version

          public Version​(int major,
                         int minor,
                         int micro)

    - #### Version

          public Version​(int major,
                         int minor,
                         int micro,
                         String qualifier)

    - #### Version

          public Version​(String version)

  - ### Method Detail

    - #### parseVersion

          public static Version parseVersion​(String version)

    - #### valueOf

          public static Version valueOf​(String version)

    - #### getMajor

          public int getMajor()

    - #### getMinor

          public int getMinor()

    - #### getMicro

          public int getMicro()

    - #### getQualifier

          public String getQualifier()

    - #### lessThan

          public boolean lessThan​(Version version)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toShortestString

          public String toShortestString()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object object)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo​(Version other)

      Specified by:
        `compareTo` in interface `Comparable<Version>`